nxhtml-webvcs-download crashes

Bug #582107 reported by nimai.e@gmail.com on 2010-05-18
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
nXhtml
Medium
Unassigned

Bug Description

After evaling and executing web-vcs.el, I get the following stacktrace. I've attached the log.

Debugger entered--Lisp error: (error "Bad url: :/~nxhtml/nxhtml/main/download/lennart.borgman%40gmail.com-20100425170616-ied3q0todlf54dj5/nxhtmlwebvcs.el-20100113172514-fyszxn1ypx4ml96h-2/nxhtml-web-vcs.el")
  signal(error ("Bad url: :/~nxhtml/nxhtml/main/download/lennart.borgman%40gmail.com-20100425170616-ied3q0todlf54dj5/nxhtmlwebvcs.el-20100113172514-fyszxn1ypx4ml96h-2/nxhtml-web-vcs.el"))
  error("Bad url: %s" ":/~nxhtml/nxhtml/main/download/lennart.borgman%40gmail.com-20100425170616-ied3q0todlf54dj5/nxhtmlwebvcs.el-20100113172514-fyszxn1ypx4ml96h-2/nxhtml-web-vcs.el")
  url-retrieve-internal("/~nxhtml/nxhtml/main/download/lennart.borgman%40gmail.com-20100425170616-ied3q0todlf54dj5/nxhtmlwebvcs.el-20100113172514-fyszxn1ypx4ml96h-2/nxhtml-web-vcs.el" (lambda (&rest --cl-rest--) (apply #[... "ÂÃÄp#ÅL pL" [G57701 G57700 url-debug retrieval "Synchronous fetching done (%S)" t] 4] (quote --asynch-buffer--) (quote --retrieval-done--) --cl-rest--)) (nil))
  url-retrieve("/~nxhtml/nxhtml/main/download/lennart.borgman%40gmail.com-20100425170616-ied3q0todlf54dj5/nxhtmlwebvcs.el-20100113172514-fyszxn1ypx4ml96h-2/nxhtml-web-vcs.el" (lambda (&rest --cl-rest--) (apply #[... "ÂÃÄp#ÅL pL" [G57701 G57700 url-debug retrieval "Synchronous fetching done (%S)" t] 4] (quote --asynch-buffer--) (quote --retrieval-done--) --cl-rest--)))
  url-retrieve-synchronously("/~nxhtml/nxhtml/main/download/lennart.borgman%40gmail.com-20100425170616-ied3q0todlf54dj5/nxhtmlwebvcs.el-20100113172514-fyszxn1ypx4ml96h-2/nxhtml-web-vcs.el")
  (let ((buffer ...) (handle nil) (ret nil)) (if (not buffer) (error "Retrieving url %s gave no buffer" url)) (with-current-buffer buffer (if ... ... ... ... ... ... ... ...)) ret)
  web-vcs-url-copy-file("/~nxhtml/nxhtml/main/download/lennart.borgman%40gmail.com-20100425170616-ied3q0todlf54dj5/nxhtmlwebvcs.el-20100113172514-fyszxn1ypx4ml96h-2/nxhtml-web-vcs.el" "/home/nimai/.emacs.d/TEMPORARY-WEB-AUTO-LOAD-nxhtml-web-vcs.el" nil t)
  (setq http-sts (web-vcs-url-copy-file url dl-file nil t))
  (let ((http-sts nil) (file-nonempty nil) (fail-reason nil)) (when dest-file (web-vcs-log url dest-file nil)) (web-vcs-display-messages nil) (setq http-sts (web-vcs-url-copy-file url dl-file nil t)) (if (and ... ... ...) (when dest-file ...) (setq fail-reason ...) (unless dest-file ...) (web-vcs-log nil nil ...) (web-vcs-message-with-face ... "Download failed: %s, %S" fail-reason url) (web-vcs-display-messages t) (message "\n") (web-vcs-message-with-face ... "Please retry what you did before!\n") (throw ... nil)))
  web-vcs-url-copy-file-and-check("/~nxhtml/nxhtml/main/download/lennart.borgman%40gmail.com-20100425170616-ied3q0todlf54dj5/nxhtmlwebvcs.el-20100113172514-fyszxn1ypx4ml96h-2/nxhtml-web-vcs.el" "/home/nimai/.emacs.d/TEMPORARY-WEB-AUTO-LOAD-nxhtml-web-vcs.el" "/home/nimai/.emacs.d/nxhtml-web-vcs.el")
  (cond ((and file-mask ...)) ((and dl-file-time url-file-time ... ...) (web-vcs-message-with-face ... "Local file %s is newer or same age" file-rel-name)) (t (while ... ... ...) (when ... ...) (web-vcs-url-copy-file-and-check url-file temp-file dl-file-name) (let* ... ... ... ... ... ...)))
  (let* ((url-file ...) (url-file-time-str ...) (url-file-time ...) (url-file-name-regexp ...) (url-file-rel-name ...) (dl-file-name ...) (dl-file-time ...) (file-rel-name ...) (file-name ...) (temp-file ...) temp-buf) (cond (...) (... ...) (t ... ... ... ...)) (redisplay t))
  (while --cl-dolist-temp-- (setq file (car --cl-dolist-temp--)) (let* (... ... ... ... ... ... ... ... ... ... temp-buf) (cond ... ... ...) (redisplay t)) (setq --cl-dolist-temp-- (cdr --cl-dolist-temp--)))
  (let ((--cl-dolist-temp-- ...) file) (while --cl-dolist-temp-- (setq file ...) (let* ... ... ...) (setq --cl-dolist-temp-- ...)) nil)
  (catch (quote --cl-block-nil--) (let (... file) (while --cl-dolist-temp-- ... ... ...) nil))
  (cl-block-wrapper (catch (quote --cl-block-nil--) (let ... ... nil)))
  (block nil (let (... file) (while --cl-dolist-temp-- ... ... ...) nil))
  (dolist (file (reverse files)) (let* (... ... ... ... ... ... ... ... ... ... temp-buf) (cond ... ... ...) (redisplay t)))
  web-vcs-download-files((lp "http://www.launchpad.com/ uses this 2009-11-29 with Loggerhead 1.10 (generic?)" ((time 1) (url 2) (patt "<td class=\"date\">\\([^<]*\\)</td>[[:space:]]*<td class=\"timedate2\">.+</td>\\(?:.\\|\n\\)*?href=\"\\(.*/download/[^\"]*\\)\"")) "href=\"\\(.*%3A/[^\"]*/\\)\"" "\\([^/]*\\)$" "for revision[[:space:]]+<span>\\([[:digit:]]+\\)</span>" "/\\([[:digit:]]+\\)\"[^>]+>\\(?:Release \\)?[[:digit:]]+\\.[[:digit:]]+<") (("/~nxhtml/nxhtml/main/download/lennart.borgman%40gmail.com-20100509232841-9eph0laz34t41she/webvcs.el-20091227180846-favloh4bvxp3i0mh-4/web-vcs.el" "2010-05-10 00:28:41") ("/~nxhtml/nxhtml/main/download/lennart.borgman%40gmail.com-20100124112237-cawdpmom8z9j271a/webautoload.el-20091227180846-favloh4bvxp3i0mh-3/web-autoload.el" "2010-01-24 11:22:37") ("/~nxhtml/nxhtml/main/download/lennart.borgman%40gmail.com-20091201225109-1xo0fxwpp8nx0x28/readme.txt-20091201225055-ijilnjhor5wc5s03-1/README.txt" "2009-12-01 22:51:09") ("/~nxhtml/nxhtml/main/download/lennart.borgman%40gmail.com-20100516143642-e7mx05783gpxk9m4/nxhtmlmaint.el-20090101213540-jlah6xe0n65g93pw-3/nxhtmlmaint.el" "2010-05-16 15:36:42") ("/~nxhtml/nxhtml/main/download/lennart.borgman%40gmail.com-20100425170616-ied3q0todlf54dj5/nxhtmlwebvcs.el-20100113172514-fyszxn1ypx4ml96h-2/nxhtml-web-vcs.el" "2010-04-25 18:06:16") ("/~nxhtml/nxhtml/main/download/lennart.borgman%40gmail.com-20100517052929-znap2tbrtet09xjy/nxhtmlloaddefs.el-20080927190633-bvdatx6qc6m3ze5h-1/nxhtml-loaddefs.el" "2010-05-17 06:29:29") ("/~nxhtml/nxhtml/main/download/lennart.borgman%40gmail.com-20100513151223-7taf30dujqidv1ee/nxhtmlbase.el-20100113172514-fyszxn1ypx4ml96h-1/nxhtml-base.el" "2010-05-13 16:12:23") ("/~nxhtml/nxhtml/main/download/lennart.borgman%40gmail.com-20090101213554-u78qtp1mw0225vzq/emacs22.cmd-20090101213540-jlah6xe0n65g93pw-2/emacs22.cmd" "2009-01-01 21:35:54") ("/~nxhtml/nxhtml/main/download/lennart.borgman%40gmail.com-20100118135750-uoj5q7chz82hzazn/autostart22.el-20090101213540-jlah6xe0n65g93pw-1/autostart22.el" "2010-01-18 13:57:50") ("/~nxhtml/nxhtml/main/download/lennart.borgman%40gmail.com-20100425170616-ied3q0todlf54dj5/autostart.el-20080724174035-zgon4j679232cch3-2/autostart.el" "2010-04-25 18:06:16")) "/home/nimai/.emacs.d/" "/home/nimai/.emacs.d/" "nxhtml-web-vcs.el")
  (let* ((files-matcher ...) (dirs-href-regexp ...) (revision-regexp ...) (dl-dir ...) (lst-dl-relative ...) (lst-file-mask ...) this-page-revision files suburls (moved 0) (temp-file-base ...) temp-list-file temp-list-buf folder-res http-sts) (web-vcs-display-messages nil) (unless (file-directory-p dl-dir) (make-directory dl-dir t)) (setq temp-list-file (make-temp-name temp-file-base)) (setq temp-list-buf (web-vcs-ass-folder-cache url)) (unless temp-list-buf (setq folder-res ...) (unless ... ... ... ...)) (with-current-buffer (car folder-res) (when dl-revision ...) (when dl-revision ...) (goto-char ...) (let ... ...) (when recursive ... ...) (kill-buffer)) (web-vcs-download-files vcs-rec files dl-dir dl-root file-mask) (when suburls (dolist ... ...)) (list this-page-revision moved))
  web-vcs-get-files-on-page-1((lp "http://www.launchpad.com/ uses this 2009-11-29 with Loggerhead 1.10 (generic?)" ((time 1) (url 2) (patt "<td class=\"date\">\\([^<]*\\)</td>[[:space:]]*<td class=\"timedate2\">.+</td>\\(?:.\\|\n\\)*?href=\"\\(.*/download/[^\"]*\\)\"")) "href=\"\\(.*%3A/[^\"]*/\\)\"" "\\([^/]*\\)$" "for revision[[:space:]]+<span>\\([[:digit:]]+\\)</span>" "/\\([[:digit:]]+\\)\"[^>]+>\\(?:Release \\)?[[:digit:]]+\\.[[:digit:]]+<") "http://bazaar.launchpad.net/%7Enxhtml/nxhtml/main/files/head%3A/" "/home/nimai/.emacs.d/" "" "nxhtml-web-vcs.el" 0 nil nil)
  (let ((vcs-rec ...)) (web-vcs-get-files-on-page-1 vcs-rec url dl-dir "" file-mask 0 nil nil))
  web-vcs-get-missing-matching-files(lp "http://bazaar.launchpad.net/%7Enxhtml/nxhtml/main/files/head%3A/" "/home/nimai/.emacs.d/" "nxhtml-web-vcs.el")
  (if (file-exists-p (cdr file)) nil (web-vcs-get-missing-matching-files (quote lp) root-url this-dir (car file)))
  (unless (file-exists-p (cdr file)) (web-vcs-get-missing-matching-files (quote lp) root-url this-dir (car file)))
  (while --cl-dolist-temp-- (setq file (car --cl-dolist-temp--)) (unless (file-exists-p ...) (web-vcs-get-missing-matching-files ... root-url this-dir ...)) (setq --cl-dolist-temp-- (cdr --cl-dolist-temp--)))
  (let ((--cl-dolist-temp-- files2) file) (while --cl-dolist-temp-- (setq file ...) (unless ... ...) (setq --cl-dolist-temp-- ...)) nil)
  (catch (quote --cl-block-nil--) (let (... file) (while --cl-dolist-temp-- ... ... ...) nil))
  (cl-block-wrapper (catch (quote --cl-block-nil--) (let ... ... nil)))
  (block nil (let (... file) (while --cl-dolist-temp-- ... ... ...) nil))
  (dolist (file files2) (unless (file-exists-p ...) (web-vcs-get-missing-matching-files ... root-url this-dir ...)))
  (let* ((this-dir ...) (root-url ...) (files ...) (files2 ...) need-dl) (dolist (file files2) (unless ... ...)) (when need-dl (let ... ...)) (message nil) (unless (get-buffer-window "*Messages*") (web-vcs-display-messages t) (delete-other-windows)) (dolist (file files2) (unless ... ...)) (load (cdr ...)))
  (catch (quote command-level) (setq debug-on-error t) (let* (... ... ... ... need-dl) (dolist ... ...) (when need-dl ...) (message nil) (unless ... ... ...) (dolist ... ...) (load ...)) (call-interactively (quote nxhtml-setup-install)))
  web-vcs-nxhtml()
  call-interactively(web-vcs-nxhtml t nil)
  execute-extended-command(nil)
  call-interactively(execute-extended-command nil nil)

nimai.e@gmail.com (nimai-e) wrote :
lborgman (lennart-borgman) wrote :

Thanks for the bug report, nimai, and sorry for the delay.

I think I have fixed this now and I would be glad if you could test. However please be aware that the latest code for mumamo in the repository has a lot of trace output because I want to fix some indentation bugs.

Changed in nxhtml:
importance: Undecided → Medium
status: New → In Progress
Download full text (10.8 KiB)

no problem lennart. I think you do amazing work which I use every day. It
must take a lot of time and effort.

Cheers for nxhtml et al and thanks for getting back to me.

Kind regards
Nimai Etheridge

On Mon, Jun 28, 2010 at 12:31 PM, lborgman <email address hidden>wrote:

> Thanks for the bug report, nimai, and sorry for the delay.
>
> I think I have fixed this now and I would be glad if you could test.
> However please be aware that the latest code for mumamo in the
> repository has a lot of trace output because I want to fix some
> indentation bugs.
>
> ** Changed in: nxhtml
> Importance: Undecided => Medium
>
> ** Changed in: nxhtml
> Status: New => In Progress
>
> --
> nxhtml-webvcs-download crashes
> https://bugs.launchpad.net/bugs/582107
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in nXhtml for Emacs: In Progress
>
> Bug description:
> After evaling and executing web-vcs.el, I get the following stacktrace.
> I've attached the log.
>
> Debugger entered--Lisp error: (error "Bad url:
> :/~nxhtml/nxhtml/main/download/lennart.borgman%40gmail.com-20100425170616-ied3q0todlf54dj5/nxhtmlwebvcs.el-20100113172514-fyszxn1ypx4ml96h-2/nxhtml-web-vcs.el")
> signal(error ("Bad url:
> :/~nxhtml/nxhtml/main/download/lennart.borgman%40gmail.com-20100425170616-ied3q0todlf54dj5/nxhtmlwebvcs.el-20100113172514-fyszxn1ypx4ml96h-2/nxhtml-web-vcs.el"))
> error("Bad url: %s"
> ":/~nxhtml/nxhtml/main/download/lennart.borgman%40gmail.com-20100425170616-ied3q0todlf54dj5/nxhtmlwebvcs.el-20100113172514-fyszxn1ypx4ml96h-2/nxhtml-web-vcs.el")
> url-retrieve-internal("/~nxhtml/nxhtml/main/download/lennart.borgman%40gmail.com-20100425170616-ied3q0todlf54dj5/nxhtmlwebvcs.el-20100113172514-fyszxn1ypx4ml96h-2/nxhtml-web-vcs.el"
> (lambda (&rest --cl-rest--) (apply #[... "ÂÃÄp# ÅL pL" [G57701 G57700
> url-debug retrieval "Synchronous fetching done (%S)" t] 4] (quote
> --asynch-buffer--) (quote --retrieval-done--) --cl-rest--)) (nil))
> url-retrieve("/~nxhtml/nxhtml/main/download/lennart.borgman%40gmail.com-20100425170616-ied3q0todlf54dj5/nxhtmlwebvcs.el-20100113172514-fyszxn1ypx4ml96h-2/nxhtml-web-vcs.el"
> (lambda (&rest --cl-rest--) (apply #[... "ÂÃÄp# ÅL pL" [G57701 G57700
> url-debug retrieval "Synchronous fetching done (%S)" t] 4] (quote
> --asynch-buffer--) (quote --retrieval-done--) --cl-rest--)))
>
> url-retrieve-synchronously("/~nxhtml/nxhtml/main/download/lennart.borgman%40gmail.com-20100425170616-ied3q0todlf54dj5/nxhtmlwebvcs.el-20100113172514-fyszxn1ypx4ml96h-2/nxhtml-web-vcs.el")
> (let ((buffer ...) (handle nil) (ret nil)) (if (not buffer) (error
> "Retrieving url %s gave no buffer" url)) (with-current-buffer buffer (if ...
> ... ... ... ... ... ... ...)) ret)
> web-vcs-url-copy-file("/~nxhtml/nxhtml/main/download/lennart.borgman%40gmail.com-20100425170616-ied3q0todlf54dj5/nxhtmlwebvcs.el-20100113172514-fyszxn1ypx4ml96h-2/nxhtml-web-vcs.el"
> "/home/nimai/.emacs.d/TEMPORARY-WEB-AUTO-LOAD-nxhtml-web-vcs.el" nil t)
> (setq http-sts (web-vcs-url-copy-file url dl-file nil t))
> (let ((http-sts nil) (file-nonempty nil) (fail-reason nil)) (when
> dest-file (web-vcs-log url dest-...

nimai.e@gmail.com (nimai-e) wrote :

Hi Lennert, that works now

Nimai

lborgman (lennart-borgman) wrote :

Thanks Nimai, I am closing this bug then.

Changed in nxhtml:
status: In Progress → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments